- NAME
- DESCRIPTION
- OPTIONS

# NAME

rt-apache - Wrapper to start Apache running RT

# DESCRIPTION

This script exists to make it easier to run RT under Apache for testing. It is not intended as a way to deploy RT, or to provide example Apache configuration for RT. For instructions on how to deploy RT with Apache, please read the provided docs/web_deployment.pod file.

Running this script will start apache2 with a custom-built configuration file, built based on command-line options and the contents of your RT_SiteConfig.pm. It will work with either RT 3.8.x or RT 4.0.x. As it is primarily for simple testing, it runs Apache as the current user.

# OPTIONS

`rt-apache` will parse your RT_SiteConfig.pm for its `WebPath` and `WebPort` configuration, and adjust its defaults accordingly.

--root path

  The path to the RT install to serve. This defaults to the `RTHOME` environment variable, or `/opt/rt4`.

--fastcgi, --fcgid, --perl

  Determines the Apache module which is used. By default, the first one of that list which exists will be used. See also "--modules".

--port number

  Choses the port to listen on. By default, this is parsed from the RT_SiteConfig.pm, and falling back to 8888.

--ssl [number]

  Also listens on the provided port with HTTPS, using a self-signed certificate for `localhost`. If the port number is not specified, defaults to port 4430.

--single, -X

  Run only one process or thread, for ease of debugging.

--rt3, -3

  Declares that the RT install in question is RT 3.8.x. `rt-apache` can usually detect this for you, however.

--modules path

  The path to the Apache2 modules directory, which is expected to contain at least one of mod_fcgid.so, mod_fastcgi.so, or mod_perl.so. Defaults to /usr/lib/apache2/modules.

← Back to index